> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show LocalityCategory entity.

- Product: Locality categories
- Section: LocalityCategory
- Snapshot: Current
- Method: `GET`
- Path: `/api/locality_categories/{id}`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `organization`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.localityCategories.get({
  id: 0,
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/locality_categories/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "name": "name",
  "locale": "locale",
  "displayName": "displayName",
  "excerpt": "excerpt",
  "disclaimer": "disclaimer",
  "description": "description",
  "address": "address",
  "postalCode": "postalCode",
  "locality": "locality",
  "municipality": 0,
  "region": "region",
  "country": "country",
  "latitude": "latitude",
  "longitude": "longitude",
  "public": true,
  "root": {
    "id": 1000
  },
  "parent": {
    "id": 1000
  }
}
```

##### Schema

###### LocalityCategory

Type: `LocalityCategory`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `excerpt`

Type: `string`  
Required: no  

###### `disclaimer`

Type: `string`  
Required: no  

###### `description`

Type: `string`  
Required: no  

###### `address`

Type: `string`  
Required: no  

###### `postalCode`

Type: `string`  
Required: no  

###### `locality`

Type: `string`  
Required: no  

###### `municipality`

Type: `number`  
Required: no  

###### `region`

Type: `string`  
Required: no  

###### `country`

Type: `string`  
Required: no  

###### `latitude`

Type: `string`  
Required: no  

###### `longitude`

Type: `string`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

###### `public`

Type: `boolean`  
Required: no  
Default: `true`  

###### `root`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

###### `parent`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

###### `displayName`

Type: `string`  
Required: yes  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/locality-categories/methods/get/)
- [TypeScript Markdown](/locality-categories/methods/get.md?lang=typescript)
- [curl Markdown](/locality-categories/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/locality-categories/llms.txt)
- [snapshot llms.txt](/locality-categories/llms.txt)
